<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/Dot/SystemError.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.Dot.SystemError</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Formatters.html" >Formatters</a>.<a href="../Dot.html" >Dot</a>
</div><div class="class-name">class SystemError

</div><div class="links"><div class="file">File: <a href="../../../../File/Synopsis/Formatters/Dot.py.html" target="detail">../Synopsis/Formatters/Dot.py</a></div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dot.SystemError" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line23" ><img src="../../../../src-py.png" alt="source code"/></a></div></div>   <div class="doc">Error thrown by the system&#40;&#41; function. Attributes are 'retval'&#44; encoded
   as per os.wait&#40;&#41;: low-byte is killing signal number&#44; high-byte is return
   value of command.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="retval">retval</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line30" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"> <a class="name" id="command">command</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line31" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__init__">__init__</a>(<span class="variable">self</span>, <span class="variable">retval</span>, <span class="variable">command</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dot.SystemError.__init__" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line28" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="__repr__">__repr__</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../XRef/xref9.html#Synopsis.Formatters.Dot.SystemError.__repr__" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Formatters/Dot.py.html#line33" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:26:57 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
